phy_start_aneg
Prev | PHY Support | Next

## Name

phy_start_aneg — start auto-negotiation for this PHY device

## Synopsis

`int phy_start_aneg (` | struct phy_device * | phydev`)`;

## Arguments

`phydev`

  the phy_device struct

## Description

Sanitizes the settings (if we're not autonegotiating them), and then calls the driver's config_aneg function. If the PHYCONTROL Layer is operating, we change the state to reflect the beginning of Auto-negotiation or forcing.

Prev | Up | Next
phy_mii_ioctl | Home | phy_enable_interrupts